export interface IPodsRes {
    name: string;
    title: string;
}

export interface IOutputRes {
    output: string;
    err: string;
    name: string;
}

export interface INewOutputPod {
    name: string;
    container?: string;
    nameSpace: string;
    podQuery: string;
    title?: string;
    podName: string;
}

export interface IOutputService {
    addNewType(podName: string, newItem: INewOutputPod): Promise<void> | void;
    getPods():  Promise<IPodsRes[]> | IPodsRes[];
    getOutput(request: string): Promise<IOutputRes> | IOutputRes;
    unWatchLogs():  Promise<Boolean> | Boolean;
    dispose(): Promise<void> | void;
}
